## AnjutaDockPane

AnjutaDockPane — Wrapper class for AnjutaDock panes

## Functions

void | anjuta_dock_pane_refresh ()
GtkWidget * | anjuta_dock_pane_get_widget ()
AnjutaPlugin * | anjuta_dock_pane_get_plugin ()
void | anjuta_dock_pane_notify_single_selection_changed ()
void | anjuta_dock_pane_notify_multiple_selection_changed ()

## Properties

AnjutaPlugin * | plugin | Read / Write

## Signals

void | multiple-selection-changed | Run First
void | single-selection-changed | Run First

## Types and Values

| AnjutaDockPanePriv

## Object Hierarchy

        GObject
        ╰── AnjutaDockPane

## Includes

    #include <libanjuta/anjuta-dock-pane.h>

## Description

AnjutaDockPane is an abstract wrapper class for panes in an AnjutaDock.

Using AnjutaDockPane is especially helpful for those panes that show data from extenal sources that must be refreshed frequently, or panes that are exceptionally complex.

## Functions

### anjuta_dock_pane_refresh ()

    void
    anjuta_dock_pane_refresh (AnjutaDockPane *self);

Refreshes the given pane. Subclasses only need to override this method if needed.

#### Parameters

self | An AnjutaDockPane |

### anjuta_dock_pane_get_widget ()

    GtkWidget *
    anjuta_dock_pane_get_widget (AnjutaDockPane *self);

#### Parameters

self | An AnjutaDockPane |

#### Returns

The widget associated with the given pane. The returned widget is owned by the pane and should not be destroyed or modified.

### anjuta_dock_pane_get_plugin ()

    AnjutaPlugin *
    anjuta_dock_pane_get_plugin (AnjutaDockPane *self);

#### Parameters

self | An AnjutaDockPane |

#### Returns

The plugin object associated with this pane.

### anjuta_dock_pane_notify_single_selection_changed ()

    void
    anjuta_dock_pane_notify_single_selection_changed
                                   (AnjutaDockPane *self);

Emits the single-selection-changed signal.

#### Parameters

self | An AnjutaDockPane |

### anjuta_dock_pane_notify_multiple_selection_changed ()

    void
    anjuta_dock_pane_notify_multiple_selection_changed
                                   (AnjutaDockPane *self);

Emits the multiple-selection-changed signal.

#### Parameters

self | An AnjutaDockPane |

## Types and Values

### AnjutaDockPanePriv

    typedef struct _AnjutaDockPanePriv AnjutaDockPanePriv;

## Property Details

### The `“plugin”` property

      “plugin”                   AnjutaPlugin *

Plugin object associated with this pane.

Flags: Read / Write

## Signal Details

### The `“multiple-selection-changed”` signal

    void
    user_function (AnjutaDockPane *pane,
                   gpointer        user_data)

This signal is emitted by pane subclasses to notify clients that the set of selected items in the pane has changed.

#### Parameters

pane | An AnjutaDockPane |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“single-selection-changed”` signal

    void
    user_function (AnjutaDockPane *pane,
                   gpointer        user_data)

This signal is emitted by pane subclasses to notify clients that the user has selected an item. This signal should be used when users are expected to only select one item at a time.

#### Parameters

pane | An AnjutaDockPane |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

AnjutaDock